Subject: mouse-face property should merge face attributes, not replace

From: Dave Aspinall <[email-masked]>
Date: Thu, 12 Nov 2009 12:41:16 +0000

Dear Emacs developers,

Perhaps this has been noted already: the low-level behaviour of the 
mouse-face property seems ugly: it simply overwrites the face property 
for characters under the mouse.  For example in Info, blue underlined 
links turn black without the underline when the mouse is hovered over 
them to give the green background from the highlight face.  This feels 
unnatural.

In Proof General (http://proofgeneral.inf.ed.ac.uk) we use the 
mouse-face property on programming language text which is heavily 
decorated with font-lock.  Users complain that when the mouse is over a 
region the normal fontification is obliterated.

  - David Aspinall.

PS incidentally, we used to prefer XEmacs for Proof General, its display 
engine did the right thing here.